function t=plotsc(x,y,v,symbole,icode,smin,smax,vmin,vmax);
% syntaxe t=plotsc(x,y,v,symbole,icode,smin,smax,dmin,dmax);
% 
% fonction pour tacer des points de taille proportionnele  v avec le symbole spcifi (voir plot)
% x, y, coordonnes
% v: valeur
% symbole (voir codes dans plot)
% icode 0: chelle linaire pour les symboles
% icode 1: chelle logarithmique pour les symboles
% et les tailles minimales et maximales indiques par smin et smax en associant smin  vmin et smax  vmax
% t=handle

if nargin<7
  vmin=min(v);
  vmax=max(v);
end

if nargin<5;
  smin=2;
  smax=9;
end
if isempty(symbole)
  symbole='ok';
end
if icode==0
v=smin+(v-vmin)/(vmax-vmin)*(smax-smin);
n=length(x);
else
v=smin+log(max((v-vmin),1))/log((vmax-vmin))*(smax-smin);
n=length(x);
end  

hold on
for i=1:n;
  t=plot(x(i),y(i),symbole);
  set(t,'markersize',v(i));
end
hold off
  
